Bug 482806 - compiz segfault in libstartup-notification-1.so.0.0.0
compiz segfault in libstartup-notification-1.so.0.0.0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 05:25 EST by Mustafa Mehmed
Modified: 2018-04-11 04:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:43:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (899.34 KB, text/plain)
2009-01-28 18:43 EST, Mustafa Mehmed
no flags Details
/var/log/messages (285.53 KB, text/plain)
2009-02-02 19:11 EST, Mustafa Mehmed
no flags Details
/var/log/messages (637.39 KB, text/plain)
2009-02-11 05:17 EST, Mustafa Mehmed
no flags Details
/var/log/messages (133.53 KB, text/plain)
2009-06-23 20:30 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2009-01-28 05:25:14 EST
Description of problem: 

Found in /var/log/messages random hex data, one example is 
compiz[3185]: segfault at 78feb60 ip 078feb60 sp bf81e1e4 error 4 in libstartup-notification-1.so.0.0.0[7fef000+8000]

Version-Release number of selected component (if applicable): 

compiz-0.7.8-4.fc10.i386
libnotify-0.4.4-12.fc10.i386

How reproducible: don't know; appears regularly in /var/log/messages


Steps to Reproduce:
1. don't know
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-01-28 08:34:58 EST
Could we get that /var/log/messages attached to this bug as a separate uncompressed attachment, please?

Thank you
Comment 2 Mustafa Mehmed 2009-01-28 18:43:07 EST
Created attachment 330300 [details]
/var/log/messages

Request from Matej Cepl <mcepl@redhat.com> for /var/log/messages
Comment 3 Mustafa Mehmed 2009-01-31 20:50:22 EST
Enabled *testing* repos and upgraded machine. Now getting segfaults in glxinfo and glx_tfp_test. Compiz no longer works (it did previously). Will attach the new /var/log/messages.
Comment 4 Mustafa Mehmed 2009-01-31 20:55:25 EST
How do I add an attachment here? Thanks.
Comment 5 Matěj Cepl 2009-02-02 10:42:28 EST
(In reply to comment #4)
> How do I add an attachment here? Thanks.

In the table Attachments (just above this box), there is a link "Add an attachment".
Comment 6 Mustafa Mehmed 2009-02-02 19:11:51 EST
Created attachment 330695 [details]
/var/log/messages
Comment 7 Mustafa Mehmed 2009-02-11 05:16:04 EST
Wiped drive; reinstalled F10 and upgraded. Now getting the following error messages:-

kernel: compiz[3162]: segfault at d63b60 ip 00d63b60 sp bf9baaf4 error 4 in libICE.so.6.3.0[dd8000+17000]

Will attach /var/log/messages.
Comment 8 Mustafa Mehmed 2009-02-11 05:17:29 EST
Created attachment 331547 [details]
/var/log/messages
Comment 9 Joachim Frieben 2009-06-19 05:10:42 EDT
I am seeing this on a fully updated F10 system. Entry in /var/log/dmesg reads

  "compiz[2751]: segfault at 37d1b60 ip 037d1b60 sp bfc10754 error 4 in
   libstartup-notification-1.so.0.0.0[3924000+8000]"

Video device is a rather old "ATI Technologies Inc Radeon R100 QD [Radeon 7200] rev 0". The system's SMOLT profile is located at

   http://www.smolts.org/client/show/pub_404b0d8f-bccd-4123-97e7-e21d09d2c097 .

Installed packages include:
- compiz-0.7.8-7.fc10.i386
- kernel-2.6.29.5-84.fc10.i686
- mesa-*-7.2-0.15.fc10.i386
- xorg-x11-drv-ati-6.10.0-2.fc10.i386
- xorg-x11-server-Xorg-1.5.3-17.fc10.i386
Comment 10 Mustafa Mehmed 2009-06-23 20:27:48 EDT
I have updated to F11 and am getting segfault errors in compiz, but in libSM.so.6.0.0 this time.

I am running the proprietary nvidia module from rpmfusion-nonfree. The following is a list of installed software.

xorg-x11-drv-nvidia-185.18.14-2.fc11.i586
xorg-x11-drv-nvidia-libs-185.18.14-2.fc11.i586
kmod-nvidia-2.6.29.4-167.fc11.i686.PAE-185.18.14-1.fc11.i686
kernel 2.6.29.4-167.fc11.i686.PAE
compizconfig-python-0.7.8-3.fc11.i586
compiz-fusion-0.7.8-8.fc11.i586
compiz-fusion-extras-gnome-0.7.8-6.fc11.i586
compiz-fusion-gnome-0.7.8-8.fc11.i586
compiz-0.7.8-18.fc11.i586
compiz-gnome-0.7.8-18.fc11.i586
compiz-fusion-extras-0.7.8-6.fc11.i586
libcompizconfig-0.7.8-3.fc11.i586
fusion-icon-qt-0.1.0-0.6.5e2dc9git.fc11.noarch
rpmfusion-nonfree-release-11-1.noarch

I will attach /var/log/messages
Comment 11 Mustafa Mehmed 2009-06-23 20:30:48 EDT
Created attachment 349173 [details]
/var/log/messages

/var/log/messages from F11 clean install, then upgraded via PackageKit.
Comment 13 Matěj Cepl 2009-11-17 07:01:42 EST
Switching incorrect assignees to the default one.
Comment 14 Bug Zapper 2009-11-18 05:53:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 02:43:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.